--- old/usr/src/uts/Makefile.uts	Mon Apr 15 12:20:21 2019
+++ new/usr/src/uts/Makefile.uts	Mon Apr 15 12:20:21 2019
@@ -236,12 +236,6 @@
 #
 SMOFF += sizeof
 
-#
-# DEBUG-only macros that define away to nothing confuse this check,
-# unfortunately.
-#
-$(RELEASE_BUILD)SMOFF += indenting
-
 CSTD = $(CSTD_GNU99)
 
 CFLAGS_uts		=
--- old/usr/src/uts/common/io/comstar/port/srpt/srpt_impl.h	Mon Apr 15 12:20:22 2019
+++ new/usr/src/uts/common/io/comstar/port/srpt/srpt_impl.h	Mon Apr 15 12:20:22 2019
@@ -522,8 +522,8 @@
 					cmn_err(CE_NOTE, __VA_ARGS__);\
 				}
 #else
-#define	SRPT_DPRINTF_L3(...)
-#define	SRPT_DPRINTF_L4(...)
+#define	SRPT_DPRINTF_L3(...) (void)(0)
+#define	SRPT_DPRINTF_L4(...) (void)(0)
 #endif
 
 #ifdef __cplusplus
--- old/usr/src/uts/common/io/pciex/pcieb.h	Mon Apr 15 12:20:22 2019
+++ new/usr/src/uts/common/io/pciex/pcieb.h	Mon Apr 15 12:20:22 2019
@@ -37,7 +37,7 @@
 #define	PCIEB_DEBUG pcieb_dbg
 extern void pcieb_dbg(uint_t bit, dev_info_t *dip, char *fmt, ...);
 #else /* DEBUG */
-#define	PCIEB_DEBUG(...)
+#define	PCIEB_DEBUG(...) (void)(0)
 #endif /* DEBUG */
 
 typedef enum {	/* same sequence as pcieb_debug_sym[] */
--- old/usr/src/uts/common/sys/ib/clients/eoib/eib_impl.h	Mon Apr 15 12:20:22 2019
+++ new/usr/src/uts/common/sys/ib/clients/eoib/eib_impl.h	Mon Apr 15 12:20:22 2019
@@ -92,10 +92,10 @@
 #define	EIB_DPRINTF_PKT		eib_dprintf_pkt
 #define	EIB_DPRINTF_VERBOSE	eib_dprintf_verbose
 #else
-#define	EIB_DPRINTF_DEBUG(...)
-#define	EIB_DPRINTF_ARGS(...)
-#define	EIB_DPRINTF_PKT(...)
-#define	EIB_DPRINTF_VERBOSE(...)
+#define	EIB_DPRINTF_DEBUG(...)	(void)(0)
+#define	EIB_DPRINTF_ARGS(...)	(void)(0)
+#define	EIB_DPRINTF_PKT(...)	(void)(0)
+#define	EIB_DPRINTF_VERBOSE(...) (void)(0)
 #endif
 
 /*
--- old/usr/src/uts/common/sys/ib/clients/eoib/enx_impl.h	Mon Apr 15 12:20:22 2019
+++ new/usr/src/uts/common/sys/ib/clients/eoib/enx_impl.h	Mon Apr 15 12:20:22 2019
@@ -75,9 +75,9 @@
 #define	ENX_DPRINTF_ARGS	eibnx_dprintf_args
 #define	ENX_DPRINTF_VERBOSE	eibnx_dprintf_verbose
 #else
-#define	ENX_DPRINTF_DEBUG(...)
-#define	ENX_DPRINTF_ARGS(...)
-#define	ENX_DPRINTF_VERBOSE(...)
+#define	ENX_DPRINTF_DEBUG(...)	(void)(0)
+#define	ENX_DPRINTF_ARGS(...)	(void)(0)
+#define	ENX_DPRINTF_VERBOSE(...) (void)(0)
 #endif
 
 /*
--- old/usr/src/uts/common/sys/ib/clients/rds/rdsib_debug.h	Mon Apr 15 12:20:23 2019
+++ new/usr/src/uts/common/sys/ib/clients/rds/rdsib_debug.h	Mon Apr 15 12:20:23 2019
@@ -101,10 +101,10 @@
 		char		*name,
 		char		*fmt, ...);
 #else
-#define	RDS_DPRINTF_INTR(...)
-#define	RDS_DPRINTF5(...)
-#define	RDS_DPRINTF4(...)
-#define	RDS_DPRINTF3(...)
+#define	RDS_DPRINTF_INTR(...)	(void)(0)
+#define	RDS_DPRINTF5(...)	(void)(0)
+#define	RDS_DPRINTF4(...)	(void)(0)
+#define	RDS_DPRINTF3(...)	(void)(0)
 #endif
 
 #define	RDS_DPRINTF2	rds_dprintf2
--- old/usr/src/uts/common/sys/ib/clients/rdsv3/rdsv3_debug.h	Mon Apr 15 12:20:23 2019
+++ new/usr/src/uts/common/sys/ib/clients/rdsv3/rdsv3_debug.h	Mon Apr 15 12:20:23 2019
@@ -100,10 +100,10 @@
 		char		*name,
 		char		*fmt, ...);
 #else
-#define	RDSV3_DPRINTF_INTR(...)
-#define	RDSV3_DPRINTF5(...)
-#define	RDSV3_DPRINTF4(...)
-#define	RDSV3_DPRINTF3(...)
+#define	RDSV3_DPRINTF_INTR(...)	(void)(0)
+#define	RDSV3_DPRINTF5(...)	(void)(0)
+#define	RDSV3_DPRINTF4(...)	(void)(0)
+#define	RDSV3_DPRINTF3(...)	(void)(0)
 #endif
 
 #define	RDSV3_DPRINTF2		rdsv3_dprintf2
--- old/usr/src/uts/common/sys/ib/ibtl/impl/ibtl_util.h	Mon Apr 15 12:20:23 2019
+++ new/usr/src/uts/common/sys/ib/ibtl/impl/ibtl_util.h	Mon Apr 15 12:20:23 2019
@@ -133,10 +133,10 @@
 		char		*name,
 		char		*fmt, ...);
 #else
-#define	IBTF_DPRINTF_LINTR(...)
-#define	IBTF_DPRINTF_L5(...)
-#define	IBTF_DPRINTF_L4(...)
-#define	IBTF_DPRINTF_L3(...)
+#define	IBTF_DPRINTF_LINTR(...)	(void)(0)
+#define	IBTF_DPRINTF_L5(...)	(void)(0)
+#define	IBTF_DPRINTF_L4(...)	(void)(0)
+#define	IBTF_DPRINTF_L3(...)	(void)(0)
 #endif
 
 #define	IBTF_DPRINTF_L2	ibtl_dprintf2
--- old/usr/src/uts/common/sys/pcie_impl.h	Mon Apr 15 12:20:23 2019
+++ new/usr/src/uts/common/sys/pcie_impl.h	Mon Apr 15 12:20:23 2019
@@ -495,11 +495,11 @@
 
 #else	/* DEBUG */
 
-#define	PCIE_DBG_CFG(...)
-#define	PCIE_DBG(...)
-#define	PCIE_ARI_DBG(...)
-#define	PCIE_DBG_CAP(...)
-#define	PCIE_DBG_AER(...)
+#define	PCIE_DBG_CFG(...)	(void)(0)
+#define	PCIE_DBG(...)		(void)(0)
+#define	PCIE_ARI_DBG(...)	(void)(0)
+#define	PCIE_DBG_CAP(...)	(void)(0)
+#define	PCIE_DBG_AER(...)	(void)(0)
 
 #endif	/* DEBUG */
 
--- old/usr/src/uts/common/sys/usb/scsa2usb/scsa2usb.h	Mon Apr 15 12:20:23 2019
+++ new/usr/src/uts/common/sys/usb/scsa2usb/scsa2usb.h	Mon Apr 15 12:20:23 2019
@@ -655,7 +655,7 @@
 #ifdef	DEBUG
 #define	SCSA2USB_PRINT_CDB	scsa2usb_print_cdb
 #else
-#define	SCSA2USB_PRINT_CDB(...)
+#define	SCSA2USB_PRINT_CDB(...)	(void)(0)
 #endif
 
 /* ugen support */
